We use SCCM to build our client machines.  This build includes running an automated install of the KACE client (v5.3)

We are moving to Kace for patching and such however I have had a couple of machines which cannot connect to the Kace 1000 appliance.

I cannot using provisioning as this results in the error...

[MSGCODE: 014] K1000 Agent is already installed.

On the client I run 

c:\>runkbot.exe -s 4 0 

and this results in a errors about the xml not being valid...

Schemas validity error : Element '{} launch_program', attribute 'visible': The attribute 'visible' is not allowed.

I've found nothing on the internet showing what this could be caused by.

I have run through the rather unhelpful "Troubleshooting KACE Agent Connectivity"

and checked that all things are as required.

I can manually uninstall the agent and manually install version 6.3 however I do not know how many machines are affected by this and would like to fix the issue.

Before I ask Dell, any thoughts?

0 Comments   [ + ] Show Comments


Please log in to comment


I know you said, "Before I ask Dell...", but I'll help you out here anyway. :)

Was that a typo or are you actually deploying the 5.3 agent and then trying to re-provision to 6.3? This is unsupported, as agents are only supported for upgrade 2 versions back. In other words, your 5.x agent may have issues upgrading to a 6.3 agent. Worst case scenario, you may have to scrub the old agent off before you can install the 6.3 agent. Ideally, you'd want to update your SCCM deployment to include the 6.3 agent if it's still using the 5.3 agent. Your server also has to be at 6.3.x or higher to function properly with 6.3 agents, so I'm assuming your server is up to date.

Runkbot 4 0 will run the standard inventory check-in. You don't need the -s parameter, and I'm not familiar with the error you're seeing off the top of my head. We can troubleshoot further with the agent logs, but that takes some investigation so you'd be better off contacting Dell KACE Support for further assistance.
Answered 06/23/2015 by: airwolf
Tenth Degree Black Belt

  • Ah....ok thanks for the info on the upgrade path - we have been successful in upgrade the majority of the estate from 5.3 to 6.3 just using the appliance (so maybe we were lucky?) however there are a few machines which aren't playing ball.

    As you suggest we have stopped SCCM rolling out the client and are using GPO to deploy the agent.

    I raise a call with Dell.

    • Right, it may work fine the majority of the time. However, it's technically an unsupported upgrade path, so if you have issues with a handful of systems your best option is full removal and reinstallation.
Please log in to comment
Answer this question or Comment on this question for clarity